#ifndef GAMESHELL_HPP_INCLUDED
#define GAMESHELL_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "../JavaClass/Canvas.hpp"

namespace Internal
{
    class GameShell : public Object
    {
        public:
            GameShell();
            GameShell(const void* Obj);
            GameShell(const GameShell& G);
            static Class GetClass();

            Canvas GetCanvas() const;

    };
}

#endif // GAMESHELL_HPP_INCLUDED
